<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>control/mmwave/mmwave.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_56ea320f36428fc096e6ea8f45d8dae0.html">control</a></li><li class="navelem"><a class="el" href="dir_bc5530914c18f88533c1e6a5b88262f4.html">mmwave</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">mmwave.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the high level API which is used to abstract the mmWave link API and allow application developers to be abstracted from the lower level complexities.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;ti/common/mmwave_error.h&gt;</code><br />
<code>#include &lt;ti/drivers/crc/crc.h&gt;</code><br />
<code>#include &lt;ti/drivers/soc/soc.h&gt;</code><br />
<code>#include &lt;ti/control/mmwavelink/mmwavelink.h&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___chirp_calibration_cfg__t.html">MMWave_ChirpCalibrationCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Chirp Calibration configuration.  <a href="struct_m_m_wave___chirp_calibration_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___cont_calibration_cfg__t.html">MMWave_ContCalibrationCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Continuous Calibration configuration.  <a href="struct_m_m_wave___cont_calibration_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___calibration_cfg__t.html">MMWave_CalibrationCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calibration configuration.  <a href="struct_m_m_wave___calibration_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___frame_cfg__t.html">MMWave_FrameCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Frame mode configuration.  <a href="struct_m_m_wave___frame_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___advanced_frame_cfg__t.html">MMWave_AdvancedFrameCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Advanced frame configuration.  <a href="struct_m_m_wave___advanced_frame_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___cont_mode_cfg__t.html">MMWave_ContModeCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Continuous mode configuration.  <a href="struct_m_m_wave___cont_mode_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___ctrl_cfg__t.html">MMWave_CtrlCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Control configuration.  <a href="struct_m_m_wave___ctrl_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___open_cfg__t.html">MMWave_OpenCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Open Configuration.  <a href="struct_m_m_wave___open_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___link_c_r_c_cfg__t.html">MMWave_LinkCRCCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Link CRC configuration  <a href="struct_m_m_wave___link_c_r_c_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___cooperative_mode_cfg__t.html">MMWave_CooperativeModeCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Cooperative mode configuration  <a href="struct_m_m_wave___cooperative_mode_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___init_cfg__t.html">MMWave_InitCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initial Configuration.  <a href="struct_m_m_wave___init_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga2459b0b77a8f665424e9d5280984b658"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga2459b0b77a8f665424e9d5280984b658">MMWAVE_EINVAL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-1)</td></tr>
<tr class="memdesc:ga2459b0b77a8f665424e9d5280984b658"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Invalid argument. <br /></td></tr>
<tr class="separator:ga2459b0b77a8f665424e9d5280984b658"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0cbb0bdc7af88b640c645a5518b069b7"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga0cbb0bdc7af88b640c645a5518b069b7">MMWAVE_EINIT</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-2)</td></tr>
<tr class="memdesc:ga0cbb0bdc7af88b640c645a5518b069b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link initialization failed. <br /></td></tr>
<tr class="separator:ga0cbb0bdc7af88b640c645a5518b069b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4eb33af2161460ab8d38a9d15903a76c"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga4eb33af2161460ab8d38a9d15903a76c">MMWAVE_ENOTSUP</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-3)</td></tr>
<tr class="memdesc:ga4eb33af2161460ab8d38a9d15903a76c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link not supported. <br /></td></tr>
<tr class="separator:ga4eb33af2161460ab8d38a9d15903a76c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf3e00954cad93dc78c46212c87d66a33"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gaf3e00954cad93dc78c46212c87d66a33">MMWAVE_ECHCFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-4)</td></tr>
<tr class="memdesc:gaf3e00954cad93dc78c46212c87d66a33"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link channel configuration failed. <br /></td></tr>
<tr class="separator:gaf3e00954cad93dc78c46212c87d66a33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc13371195aed345654c15d861620c04"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gafc13371195aed345654c15d861620c04">MMWAVE_EADCCFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-5)</td></tr>
<tr class="memdesc:gafc13371195aed345654c15d861620c04"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link ADC configuration failed. <br /></td></tr>
<tr class="separator:gafc13371195aed345654c15d861620c04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8ddc49839e51e5fa97b1a280be84cb62"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga8ddc49839e51e5fa97b1a280be84cb62">MMWAVE_EPOWERCFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-6)</td></tr>
<tr class="memdesc:ga8ddc49839e51e5fa97b1a280be84cb62"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link Power configuration failed. <br /></td></tr>
<tr class="separator:ga8ddc49839e51e5fa97b1a280be84cb62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaea213bcd341da8c11e558e3d434a756a"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gaea213bcd341da8c11e558e3d434a756a">MMWAVE_ERFINIT</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-7)</td></tr>
<tr class="memdesc:gaea213bcd341da8c11e558e3d434a756a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link RF initialization failed. <br /></td></tr>
<tr class="separator:gaea213bcd341da8c11e558e3d434a756a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga893a320cf1f7de2ec6a34b45ce0840b6"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga893a320cf1f7de2ec6a34b45ce0840b6">MMWAVE_EPROFILECFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-8)</td></tr>
<tr class="memdesc:ga893a320cf1f7de2ec6a34b45ce0840b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link profile configuration failed. <br /></td></tr>
<tr class="separator:ga893a320cf1f7de2ec6a34b45ce0840b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8bf8e084c15e9107220c3b7e3e9c237a"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga8bf8e084c15e9107220c3b7e3e9c237a">MMWAVE_ECHIRPCFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-9)</td></tr>
<tr class="memdesc:ga8bf8e084c15e9107220c3b7e3e9c237a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link chirp configuration failed. <br /></td></tr>
<tr class="separator:ga8bf8e084c15e9107220c3b7e3e9c237a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3b3524635cdfcc8970b08246d4536b7f"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga3b3524635cdfcc8970b08246d4536b7f">MMWAVE_EFRAMECFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-10)</td></tr>
<tr class="memdesc:ga3b3524635cdfcc8970b08246d4536b7f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link frame configuration failed. <br /></td></tr>
<tr class="separator:ga3b3524635cdfcc8970b08246d4536b7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae8cdb42b6818191f470135e64fdb3c84"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gae8cdb42b6818191f470135e64fdb3c84">MMWAVE_EPLLCFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-11)</td></tr>
<tr class="memdesc:gae8cdb42b6818191f470135e64fdb3c84"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link PLL caliberation failed. <br /></td></tr>
<tr class="separator:gae8cdb42b6818191f470135e64fdb3c84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8954977c237b02b77900c3faa9c42c3c"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga8954977c237b02b77900c3faa9c42c3c">MMWAVE_ESENSOR</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-12)</td></tr>
<tr class="memdesc:ga8954977c237b02b77900c3faa9c42c3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link sensor failed. <br /></td></tr>
<tr class="separator:ga8954977c237b02b77900c3faa9c42c3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacdea076aec92710d154f046db8ca2831"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gacdea076aec92710d154f046db8ca2831">MMWAVE_EOS</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-13)</td></tr>
<tr class="memdesc:gacdea076aec92710d154f046db8ca2831"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: OS Porting layer services failed. <br /></td></tr>
<tr class="separator:gacdea076aec92710d154f046db8ca2831"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafa9112732f6d53cac483f27208bfbf42"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gafa9112732f6d53cac483f27208bfbf42">MMWAVE_EVERSION</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-14)</td></tr>
<tr class="memdesc:gafa9112732f6d53cac483f27208bfbf42"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave Link version error. <br /></td></tr>
<tr class="separator:gafa9112732f6d53cac483f27208bfbf42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4e704cd76660a6846daa5225037ae605"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga4e704cd76660a6846daa5225037ae605">MMWAVE_EMSG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-15)</td></tr>
<tr class="memdesc:ga4e704cd76660a6846daa5225037ae605"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave message processing error. <br /></td></tr>
<tr class="separator:ga4e704cd76660a6846daa5225037ae605"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0b62870ce55b380a2c1e3661302ad2c3"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga0b62870ce55b380a2c1e3661302ad2c3">MMWAVE_EDEINIT</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-16)</td></tr>
<tr class="memdesc:ga0b62870ce55b380a2c1e3661302ad2c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave deinitialization error. <br /></td></tr>
<tr class="separator:ga0b62870ce55b380a2c1e3661302ad2c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab91c078c9d05d0c77454f71ff50c9a10"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gab91c078c9d05d0c77454f71ff50c9a10">MMWAVE_ECONTMODECFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-17)</td></tr>
<tr class="memdesc:gab91c078c9d05d0c77454f71ff50c9a10"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave continuous mode configuration failed. <br /></td></tr>
<tr class="separator:gab91c078c9d05d0c77454f71ff50c9a10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga318dca8803f514cbbb1fd299fff128be"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga318dca8803f514cbbb1fd299fff128be">MMWAVE_ECONTMODE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-18)</td></tr>
<tr class="memdesc:ga318dca8803f514cbbb1fd299fff128be"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave continuous mode enabling failed. <br /></td></tr>
<tr class="separator:ga318dca8803f514cbbb1fd299fff128be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad97c7d81a1138272a2c9c2c6e68ce304"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gad97c7d81a1138272a2c9c2c6e68ce304">MMWAVE_ECALCFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-19)</td></tr>
<tr class="memdesc:gad97c7d81a1138272a2c9c2c6e68ce304"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link BSS calibration configuration failed. <br /></td></tr>
<tr class="separator:gad97c7d81a1138272a2c9c2c6e68ce304"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga433e01bd5f2253466b104ef2e59328a2"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga433e01bd5f2253466b104ef2e59328a2">MMWAVE_ECALINIT</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-20)</td></tr>
<tr class="memdesc:ga433e01bd5f2253466b104ef2e59328a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link BSS calibration init. <br /></td></tr>
<tr class="separator:ga433e01bd5f2253466b104ef2e59328a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacb835eb6a639ddf6a7f0d1a78393d529"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gacb835eb6a639ddf6a7f0d1a78393d529">MMWAVE_ECALPERIOD</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-21)</td></tr>
<tr class="memdesc:gacb835eb6a639ddf6a7f0d1a78393d529"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link BSS calibration periodicity failed. <br /></td></tr>
<tr class="separator:gacb835eb6a639ddf6a7f0d1a78393d529"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5d930ce7d91e2482691fe9cdd7b3b666"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga5d930ce7d91e2482691fe9cdd7b3b666">MMWAVE_ECALTRIG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-22)</td></tr>
<tr class="memdesc:ga5d930ce7d91e2482691fe9cdd7b3b666"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link BSS calibration trigger failed. <br /></td></tr>
<tr class="separator:ga5d930ce7d91e2482691fe9cdd7b3b666"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab86f69c8e7032e49129189e3ae4ad7b9"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gab86f69c8e7032e49129189e3ae4ad7b9">MMWAVE_ENOMEM</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-23)</td></tr>
<tr class="memdesc:gab86f69c8e7032e49129189e3ae4ad7b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Out of memory error. <br /></td></tr>
<tr class="separator:gab86f69c8e7032e49129189e3ae4ad7b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae44ca7dd5558bdf86378e1ac094e773e"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gae44ca7dd5558bdf86378e1ac094e773e">MMWAVE_ENOTFOUND</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-24)</td></tr>
<tr class="memdesc:gae44ca7dd5558bdf86378e1ac094e773e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Not found. <br /></td></tr>
<tr class="separator:gae44ca7dd5558bdf86378e1ac094e773e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga58543ea4966b1c623136014dbbedacf7"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga58543ea4966b1c623136014dbbedacf7">MMWAVE_EASYNCEVENT</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-25)</td></tr>
<tr class="memdesc:ga58543ea4966b1c623136014dbbedacf7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Asynchronous event configuration failed. <br /></td></tr>
<tr class="separator:ga58543ea4966b1c623136014dbbedacf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaea77d249c9553d5f550297a7aa61a23a"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gaea77d249c9553d5f550297a7aa61a23a">MMWAVE_ECALFAIL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-26)</td></tr>
<tr class="memdesc:gaea77d249c9553d5f550297a7aa61a23a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Calibration failed. <br /></td></tr>
<tr class="separator:gaea77d249c9553d5f550297a7aa61a23a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae914fc868b0f87e8c2365cf7c4aa9131"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gae914fc868b0f87e8c2365cf7c4aa9131">MMWAVE_ECOMMONBPMCFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-27)</td></tr>
<tr class="memdesc:gae914fc868b0f87e8c2365cf7c4aa9131"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link BPM common configuration failed. <br /></td></tr>
<tr class="separator:gae914fc868b0f87e8c2365cf7c4aa9131"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3ab64c7669eb8b3802e844c7e732fdd6"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga3ab64c7669eb8b3802e844c7e732fdd6">MMWAVE_EBPMCFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-28)</td></tr>
<tr class="memdesc:ga3ab64c7669eb8b3802e844c7e732fdd6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link BPM configuration failed. <br /></td></tr>
<tr class="separator:ga3ab64c7669eb8b3802e844c7e732fdd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabd3370933f12333b86c061c2116a2c2a"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n_s.html#gabd3370933f12333b86c061c2116a2c2a">MMWAVE_MAX_PROFILE</a>&#160;&#160;&#160;4</td></tr>
<tr class="memdesc:gabd3370933f12333b86c061c2116a2c2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Supported max profiles which can be configured on the BSS <br /></td></tr>
<tr class="separator:gabd3370933f12333b86c061c2116a2c2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga042bc1d325c1f8fdf5a71acd034c408c"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n_s.html#ga042bc1d325c1f8fdf5a71acd034c408c">MMWAVE_ACK_TIMEOUT</a>&#160;&#160;&#160;1000U</td></tr>
<tr class="memdesc:ga042bc1d325c1f8fdf5a71acd034c408c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the ACK wait timeout in msec. This is the time for which the mmWave link module will wait for the reception on an ACK from the BSS. If this is set to 0 then the mmWave link will not wait for an ACK. <br /></td></tr>
<tr class="separator:ga042bc1d325c1f8fdf5a71acd034c408c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga65916881e6975fd7b798a192a968c413"><td class="memItemLeft" align="right" valign="top">
typedef void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a></td></tr>
<tr class="memdesc:ga65916881e6975fd7b798a192a968c413"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Profile Handle <br /></td></tr>
<tr class="separator:ga65916881e6975fd7b798a192a968c413"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5be75a75dd1a9ca1b64720b5e0130770"><td class="memItemLeft" align="right" valign="top">
typedef void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5be75a75dd1a9ca1b64720b5e0130770">MMWave_ChirpHandle</a></td></tr>
<tr class="memdesc:ga5be75a75dd1a9ca1b64720b5e0130770"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Chirp Handle <br /></td></tr>
<tr class="separator:ga5be75a75dd1a9ca1b64720b5e0130770"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac3047df690e757bf0a32df8c9ae69159"><td class="memItemLeft" align="right" valign="top">
typedef void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac3047df690e757bf0a32df8c9ae69159">MMWave_BpmChirpHandle</a></td></tr>
<tr class="memdesc:gac3047df690e757bf0a32df8c9ae69159"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave BPM configuration Handle <br /></td></tr>
<tr class="separator:gac3047df690e757bf0a32df8c9ae69159"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1d6bbe67008966d71fe613d14650371a"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga527c6c39adab84597a46ede75c881a4e">MMWave_ErrorLevel_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1d6bbe67008966d71fe613d14650371a">MMWave_ErrorLevel</a></td></tr>
<tr class="memdesc:ga1d6bbe67008966d71fe613d14650371a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Level.  <a href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1d6bbe67008966d71fe613d14650371a">More...</a><br /></td></tr>
<tr class="separator:ga1d6bbe67008966d71fe613d14650371a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga401c95428dc0b5c23fd329773d266694"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3ec10c83371b25c937ea0ca59d30cc6f">MMWave_DFEDataOutputMode_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga401c95428dc0b5c23fd329773d266694">MMWave_DFEDataOutputMode</a></td></tr>
<tr class="memdesc:ga401c95428dc0b5c23fd329773d266694"><td class="mdescLeft">&#160;</td><td class="mdescRight">DFE Data Output Mode.  <a href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga401c95428dc0b5c23fd329773d266694">More...</a><br /></td></tr>
<tr class="separator:ga401c95428dc0b5c23fd329773d266694"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga09b7407946fd36a91b7e1327a59a0e40"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3f18adc7fe8f4381adf7038b00de6a8d">MMWave_DefaultAsyncEventHandler_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga09b7407946fd36a91b7e1327a59a0e40">MMWave_DefaultAsyncEventHandler</a></td></tr>
<tr class="memdesc:ga09b7407946fd36a91b7e1327a59a0e40"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default Asynchronous Event Handler.  <a href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga09b7407946fd36a91b7e1327a59a0e40">More...</a><br /></td></tr>
<tr class="separator:ga09b7407946fd36a91b7e1327a59a0e40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8d470bb837d1b92324e975d6eb62f054"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___chirp_calibration_cfg__t.html">MMWave_ChirpCalibrationCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8d470bb837d1b92324e975d6eb62f054">MMWave_ChirpCalibrationCfg</a></td></tr>
<tr class="memdesc:ga8d470bb837d1b92324e975d6eb62f054"><td class="mdescLeft">&#160;</td><td class="mdescRight">Chirp Calibration configuration.  <a href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8d470bb837d1b92324e975d6eb62f054">More...</a><br /></td></tr>
<tr class="separator:ga8d470bb837d1b92324e975d6eb62f054"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf3d7ac0d8245ffc4c349c19a00dae43c"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___cont_calibration_cfg__t.html">MMWave_ContCalibrationCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf3d7ac0d8245ffc4c349c19a00dae43c">MMWave_ContCalibrationCfg</a></td></tr>
<tr class="memdesc:gaf3d7ac0d8245ffc4c349c19a00dae43c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Continuous Calibration configuration.  <a href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf3d7ac0d8245ffc4c349c19a00dae43c">More...</a><br /></td></tr>
<tr class="separator:gaf3d7ac0d8245ffc4c349c19a00dae43c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab74b8aa10d9d13ceb14ae43009c9b9f6"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___calibration_cfg__t.html">MMWave_CalibrationCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab74b8aa10d9d13ceb14ae43009c9b9f6">MMWave_CalibrationCfg</a></td></tr>
<tr class="memdesc:gab74b8aa10d9d13ceb14ae43009c9b9f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calibration configuration.  <a href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab74b8aa10d9d13ceb14ae43009c9b9f6">More...</a><br /></td></tr>
<tr class="separator:gab74b8aa10d9d13ceb14ae43009c9b9f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad8557d7d15f35b9815a64ea2bd5cc421"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___frame_cfg__t.html">MMWave_FrameCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad8557d7d15f35b9815a64ea2bd5cc421">MMWave_FrameCfg</a></td></tr>
<tr class="memdesc:gad8557d7d15f35b9815a64ea2bd5cc421"><td class="mdescLeft">&#160;</td><td class="mdescRight">Frame mode configuration.  <a href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad8557d7d15f35b9815a64ea2bd5cc421">More...</a><br /></td></tr>
<tr class="separator:gad8557d7d15f35b9815a64ea2bd5cc421"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga59061f8227a4f3999b94f3d8bc81c806"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___advanced_frame_cfg__t.html">MMWave_AdvancedFrameCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga59061f8227a4f3999b94f3d8bc81c806">MMWave_AdvancedFrameCfg</a></td></tr>
<tr class="memdesc:ga59061f8227a4f3999b94f3d8bc81c806"><td class="mdescLeft">&#160;</td><td class="mdescRight">Advanced frame configuration.  <a href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga59061f8227a4f3999b94f3d8bc81c806">More...</a><br /></td></tr>
<tr class="separator:ga59061f8227a4f3999b94f3d8bc81c806"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga22d1511333174cfbef64a8cd775fe59f"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___cont_mode_cfg__t.html">MMWave_ContModeCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga22d1511333174cfbef64a8cd775fe59f">MMWave_ContModeCfg</a></td></tr>
<tr class="memdesc:ga22d1511333174cfbef64a8cd775fe59f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Continuous mode configuration.  <a href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga22d1511333174cfbef64a8cd775fe59f">More...</a><br /></td></tr>
<tr class="separator:ga22d1511333174cfbef64a8cd775fe59f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6123856d31799664ea81b5e6c87d17dc"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___ctrl_cfg__t.html">MMWave_CtrlCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a></td></tr>
<tr class="memdesc:ga6123856d31799664ea81b5e6c87d17dc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Control configuration.  <a href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">More...</a><br /></td></tr>
<tr class="separator:ga6123856d31799664ea81b5e6c87d17dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7575571078974e8112d94034521df44a"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___open_cfg__t.html">MMWave_OpenCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7575571078974e8112d94034521df44a">MMWave_OpenCfg</a></td></tr>
<tr class="memdesc:ga7575571078974e8112d94034521df44a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Open Configuration.  <a href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7575571078974e8112d94034521df44a">More...</a><br /></td></tr>
<tr class="separator:ga7575571078974e8112d94034521df44a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadb65721d6e7abc3c74166a655e184ef4"><td class="memItemLeft" align="right" valign="top">typedef int32_t(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gadb65721d6e7abc3c74166a655e184ef4">MMWave_eventFxn</a>) (uint16_t msgId, uint16_t sbId, uint16_t sbLen, uint8_t *payload)</td></tr>
<tr class="separator:gadb65721d6e7abc3c74166a655e184ef4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadc695fb9208347465b1cb0fb79e02811"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gadc695fb9208347465b1cb0fb79e02811">MMWave_cfgFxn</a>) (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *ptrCtrlCfg)</td></tr>
<tr class="separator:gadc695fb9208347465b1cb0fb79e02811"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga19bf7cf2a1ddd370f7c8f3047c1c178e"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga19bf7cf2a1ddd370f7c8f3047c1c178e">MMWave_openFxn</a>) (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7575571078974e8112d94034521df44a">MMWave_OpenCfg</a> *ptrOpenCfg)</td></tr>
<tr class="separator:ga19bf7cf2a1ddd370f7c8f3047c1c178e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab4cb3d856b3eef939347c75a04f2dbe7"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab4cb3d856b3eef939347c75a04f2dbe7">MMWave_closeFxn</a>) (void)</td></tr>
<tr class="separator:gab4cb3d856b3eef939347c75a04f2dbe7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0c7cd0b1f8b2ac1eb63533df61c6419a"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga0c7cd0b1f8b2ac1eb63533df61c6419a">MMWave_startFxn</a>) (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab74b8aa10d9d13ceb14ae43009c9b9f6">MMWave_CalibrationCfg</a> *ptrCalibrationCfg)</td></tr>
<tr class="separator:ga0c7cd0b1f8b2ac1eb63533df61c6419a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga37ef0ff1d39790a2989ec929cb4fd76d"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga37ef0ff1d39790a2989ec929cb4fd76d">MMWave_stopFxn</a>) (void)</td></tr>
<tr class="separator:ga37ef0ff1d39790a2989ec929cb4fd76d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga76cb2dce2992d730557927b3b479fb0c"><td class="memItemLeft" align="right" valign="top">
typedef void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a></td></tr>
<tr class="memdesc:ga76cb2dce2992d730557927b3b479fb0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Handle <br /></td></tr>
<tr class="separator:ga76cb2dce2992d730557927b3b479fb0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadf878102f5e52286828e3514afed48d9"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7b65ad60b136d2c1f643909c34da5828">MMWave_Domain_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gadf878102f5e52286828e3514afed48d9">MMWave_Domain</a></td></tr>
<tr class="memdesc:gadf878102f5e52286828e3514afed48d9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Execution Domain.  <a href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gadf878102f5e52286828e3514afed48d9">More...</a><br /></td></tr>
<tr class="separator:gadf878102f5e52286828e3514afed48d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeb65bae314caf279aaff4d8ce2a6d1a2"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5bde37a985ac8cf978f7cc5703030e6d">MMWave_ConfigurationMode_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaeb65bae314caf279aaff4d8ce2a6d1a2">MMWave_ConfigurationMode</a></td></tr>
<tr class="memdesc:gaeb65bae314caf279aaff4d8ce2a6d1a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configuration Mode.  <a href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaeb65bae314caf279aaff4d8ce2a6d1a2">More...</a><br /></td></tr>
<tr class="separator:gaeb65bae314caf279aaff4d8ce2a6d1a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga829f6a95072ca52c5bafcdf67a7e0c2e"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa778a715648914569768ea458f9bd57a">MMWave_ExecutionMode_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga829f6a95072ca52c5bafcdf67a7e0c2e">MMWave_ExecutionMode</a></td></tr>
<tr class="memdesc:ga829f6a95072ca52c5bafcdf67a7e0c2e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Execution Mode.  <a href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga829f6a95072ca52c5bafcdf67a7e0c2e">More...</a><br /></td></tr>
<tr class="separator:ga829f6a95072ca52c5bafcdf67a7e0c2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa5091c7d3d7c44675ea5af202a30b92b"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___link_c_r_c_cfg__t.html">MMWave_LinkCRCCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa5091c7d3d7c44675ea5af202a30b92b">MMWave_LinkCRCCfg</a></td></tr>
<tr class="memdesc:gaa5091c7d3d7c44675ea5af202a30b92b"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Link CRC configuration  <a href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa5091c7d3d7c44675ea5af202a30b92b">More...</a><br /></td></tr>
<tr class="separator:gaa5091c7d3d7c44675ea5af202a30b92b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga207fe0c1e7c73be4d7c266da8a38c136"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___cooperative_mode_cfg__t.html">MMWave_CooperativeModeCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga207fe0c1e7c73be4d7c266da8a38c136">MMWave_CooperativeModeCfg</a></td></tr>
<tr class="memdesc:ga207fe0c1e7c73be4d7c266da8a38c136"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Cooperative mode configuration  <a href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga207fe0c1e7c73be4d7c266da8a38c136">More...</a><br /></td></tr>
<tr class="separator:ga207fe0c1e7c73be4d7c266da8a38c136"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8668e22e2313c2a987bb28b5a81d29ef"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___init_cfg__t.html">MMWave_InitCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8668e22e2313c2a987bb28b5a81d29ef">MMWave_InitCfg</a></td></tr>
<tr class="memdesc:ga8668e22e2313c2a987bb28b5a81d29ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initial Configuration.  <a href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8668e22e2313c2a987bb28b5a81d29ef">More...</a><br /></td></tr>
<tr class="separator:ga8668e22e2313c2a987bb28b5a81d29ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gac59ad4bf4bd9044776dcbf7c000105a0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac59ad4bf4bd9044776dcbf7c000105a0">MMWave_init</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8668e22e2313c2a987bb28b5a81d29ef">MMWave_InitCfg</a> *ptrCtrlInitCfg, int32_t *errCode)</td></tr>
<tr class="separator:gac59ad4bf4bd9044776dcbf7c000105a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1c5f6a23fb51cfda717c6ea53ef6a4be"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1c5f6a23fb51cfda717c6ea53ef6a4be">MMWave_deinit</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga1c5f6a23fb51cfda717c6ea53ef6a4be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga47235438ff5f54a0190cac74b31d0db0"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga47235438ff5f54a0190cac74b31d0db0">MMWave_open</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, const <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7575571078974e8112d94034521df44a">MMWave_OpenCfg</a> *ptrOpenCfg, int32_t *errCode)</td></tr>
<tr class="separator:ga47235438ff5f54a0190cac74b31d0db0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga076f91a364384386963e3d5cbfffc959"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga076f91a364384386963e3d5cbfffc959">MMWave_close</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga076f91a364384386963e3d5cbfffc959"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga11b05c9151ca387dc52dc6bec1a0d6e0"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga11b05c9151ca387dc52dc6bec1a0d6e0">MMWave_sync</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga11b05c9151ca387dc52dc6bec1a0d6e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga58b9f2692b9395a84c3649b29f90ba36"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga58b9f2692b9395a84c3649b29f90ba36">MMWave_config</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *ptrControlCfg, int32_t *errCode)</td></tr>
<tr class="separator:ga58b9f2692b9395a84c3649b29f90ba36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae72b02f34545d64f7f142d8bf72addee"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae72b02f34545d64f7f142d8bf72addee">MMWave_start</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, const <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab74b8aa10d9d13ceb14ae43009c9b9f6">MMWave_CalibrationCfg</a> *ptrCalibrationCfg, int32_t *errCode)</td></tr>
<tr class="separator:gae72b02f34545d64f7f142d8bf72addee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga923b000ece4cf70386391d335f344791"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga923b000ece4cf70386391d335f344791">MMWave_stop</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga923b000ece4cf70386391d335f344791"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa574a4299227f0e4a07469b8e69fc645"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa574a4299227f0e4a07469b8e69fc645">MMWave_execute</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, int32_t *errCode)</td></tr>
<tr class="separator:gaa574a4299227f0e4a07469b8e69fc645"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8ac343747d4c0cf35626630870429b82"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5be75a75dd1a9ca1b64720b5e0130770">MMWave_ChirpHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga8ac343747d4c0cf35626630870429b82">MMWave_addChirp</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a> profileHandle, const rlChirpCfg_t *ptrChirpCfg, int32_t *errCode)</td></tr>
<tr class="separator:ga8ac343747d4c0cf35626630870429b82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga32d94ddca794747761d60d031162d2ba"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga32d94ddca794747761d60d031162d2ba">MMWave_delChirp</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a> profileHandle, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5be75a75dd1a9ca1b64720b5e0130770">MMWave_ChirpHandle</a> chirpHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga32d94ddca794747761d60d031162d2ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga98136076717061110623bc63a60ef1d5"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga98136076717061110623bc63a60ef1d5">MMWave_getChirpCfg</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5be75a75dd1a9ca1b64720b5e0130770">MMWave_ChirpHandle</a> chirpHandle, rlChirpCfg_t *ptrChirpCfg, int32_t *errCode)</td></tr>
<tr class="separator:ga98136076717061110623bc63a60ef1d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga324d9c1711b7c6fb27bb09e6872101dd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga324d9c1711b7c6fb27bb09e6872101dd">MMWave_addProfile</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, const rlProfileCfg_t *ptrProfileCfg, int32_t *errCode)</td></tr>
<tr class="separator:ga324d9c1711b7c6fb27bb09e6872101dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae3e3ced4c6c45e2124b7b86f738d61b6"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae3e3ced4c6c45e2124b7b86f738d61b6">MMWave_getNumProfiles</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, uint32_t *numProfiles, int32_t *errCode)</td></tr>
<tr class="separator:gae3e3ced4c6c45e2124b7b86f738d61b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga044cc1fa5c60346c2761f8b8f5f27a79"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga044cc1fa5c60346c2761f8b8f5f27a79">MMWave_getProfileHandle</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, uint8_t profileId, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a> *profileHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga044cc1fa5c60346c2761f8b8f5f27a79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga097395f4559237c70f90c1c9b97d674f"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga097395f4559237c70f90c1c9b97d674f">MMWave_delProfile</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a> profileHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga097395f4559237c70f90c1c9b97d674f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae6ea06b981c4a3623e2cf7e44c3f9000"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae6ea06b981c4a3623e2cf7e44c3f9000">MMWave_getProfileCfg</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a> profileHandle, rlProfileCfg_t *ptrProfileCfg, int32_t *errCode)</td></tr>
<tr class="separator:gae6ea06b981c4a3623e2cf7e44c3f9000"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaea244c5e23d2cd2eb816d51bdd44fe84"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaea244c5e23d2cd2eb816d51bdd44fe84">MMWave_getNumChirps</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a> profileHandle, uint32_t *numChirps, int32_t *errCode)</td></tr>
<tr class="separator:gaea244c5e23d2cd2eb816d51bdd44fe84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae633f03c18588a9b00e70b3e021f3c6b"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae633f03c18588a9b00e70b3e021f3c6b">MMWave_getChirpHandle</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a> profileHandle, uint32_t chirpIndex, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5be75a75dd1a9ca1b64720b5e0130770">MMWave_ChirpHandle</a> *chirpHandle, int32_t *errCode)</td></tr>
<tr class="separator:gae633f03c18588a9b00e70b3e021f3c6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa206fd67b80becbb9fff7b961e4aeb21"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac3047df690e757bf0a32df8c9ae69159">MMWave_BpmChirpHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa206fd67b80becbb9fff7b961e4aeb21">MMWave_addBpmChirp</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, const rlBpmChirpCfg_t *ptrBpmChirp, int32_t *errCode)</td></tr>
<tr class="separator:gaa206fd67b80becbb9fff7b961e4aeb21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga605467ea700a919e6c311e5bb2e2636e"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga605467ea700a919e6c311e5bb2e2636e">MMWave_getNumBpmChirp</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, uint32_t *numBpmChirps, int32_t *errCode)</td></tr>
<tr class="separator:ga605467ea700a919e6c311e5bb2e2636e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaacd4a0dc423aa90c419d5dfcfdb25838"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaacd4a0dc423aa90c419d5dfcfdb25838">MMWave_getBpmChirpHandle</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, uint32_t bpmChirpIndex, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac3047df690e757bf0a32df8c9ae69159">MMWave_BpmChirpHandle</a> *bpmChirpHandle, int32_t *errCode)</td></tr>
<tr class="separator:gaacd4a0dc423aa90c419d5dfcfdb25838"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaff7dc80947e28b12f72a06f98e76535b"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaff7dc80947e28b12f72a06f98e76535b">MMWave_delBpmChirp</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac3047df690e757bf0a32df8c9ae69159">MMWave_BpmChirpHandle</a> bpmChirpHandle, int32_t *errCode)</td></tr>
<tr class="separator:gaff7dc80947e28b12f72a06f98e76535b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaec68df5e19ccb0ae3f9a97f039fca4a5"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaec68df5e19ccb0ae3f9a97f039fca4a5">MMWave_getBpmChirpCfg</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac3047df690e757bf0a32df8c9ae69159">MMWave_BpmChirpHandle</a> bpmChirpHandle, rlBpmChirpCfg_t *ptrBpmChirp, int32_t *errCode)</td></tr>
<tr class="separator:gaec68df5e19ccb0ae3f9a97f039fca4a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa384aeaf7d9598c104e7a6b0a663aa9b"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa384aeaf7d9598c104e7a6b0a663aa9b">MMWave_flushCfg</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, int32_t *errCode)</td></tr>
<tr class="separator:gaa384aeaf7d9598c104e7a6b0a663aa9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab01615f3c8764a3e638a6d5261733e55"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gab01615f3c8764a3e638a6d5261733e55">MMWave_decodeError</a> (int32_t errCode, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1d6bbe67008966d71fe613d14650371a">MMWave_ErrorLevel</a> *errorLevel, int16_t *mmWaveError, int16_t *subSysError)</td></tr>
<tr class="separator:gab01615f3c8764a3e638a6d5261733e55"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the high level API which is used to abstract the mmWave link API and allow application developers to be abstracted from the lower level complexities. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div></div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
